clone2(2)

NAME
clone2, __clone2 - create a child process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
// glibc wrapper:
int __clone2(typeof(int (void *)) *fn,
             void *stack_base, size_t stack_size,
             int flags, void *arg, ...
          /* pid_t *parent_tid, struct user_desc *tls,
             pid_t *child_tid */ );

// System call:
long syscall(SYS_clone2, unsigned long flags, void *stack_base,
            int stack_size,         /* Size of stack */
            int *parent_tid, int *child_tid,
            unsigned long tls);

DESCRIPTION
These interfaces are similar to clone(2) but for ia64.

These interfaces operate in the same way as clone(2), except that stack_base points to the lowest address of the child's stack area, and stack_size specifies the size of the stack pointed to by stack_base.

RETURN VALUE
See clone(2).

ERRORS
See clone(2).

STANDARDS
None.

HISTORY
Linux (ia64).

SEE ALSO
clone(2)